Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.views.jsp.ui
Class AutocompleterTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.TextFieldTag
                              org.apache.struts2.views.jsp.ui.ComboBoxTag
                                  org.apache.struts2.dojo.views.jsp.ui.AutocompleterTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AutocompleterTag

extends ComboBoxTag

See Also:
  `Autocompleter`, Serialized Form

Field Summary
`protected String` | `afterNotifyTopics`
`protected String` | `autoComplete`
`protected String` | `beforeNotifyTopics`
`protected String` | `dataFieldName`
`protected String` | `delay`
`protected String` | `disabled`
`protected String` | `dropdownHeight`
`protected String` | `dropdownWidth`
`protected String` | `errorNotifyTopics`
`protected String` | `forceValidOption`
`protected String` | `formFilter`
`protected String` | `formId`
`protected String` | `href`
`protected String` | `iconPath`
`protected String` | `indicator`
`protected String` | `keyName`
`protected String` | `keyValue`
`protected String` | `listenTopics`
`protected String` | `loadMinimumCount`
`protected String` | `loadOnTextChange`
`protected String` | `notifyTopics`
`protected String` | `preload`
`protected String` | `resultsLimit`
`protected String` | `searchType`
`protected String` | `showDownArrow`
`protected String` | `templateCssPath`
`protected String` | `transport`
`protected String` | `valueNotifyTopics`

Fields inherited from class org.apache.struts2.views.jsp.ui.ComboBoxTag
`emptyOption, headerKey, headerValue, list, listKey, listValue`

Fields inherited from class org.apache.struts2.views.jsp.ui.TextFieldTag
`maxlength, readonly, size, type`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelposition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, requiredLabel, requiredPosition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AutocompleterTag()`

Method Summary
`Component` | `getBean(com.opensymphony.xwork2.util.ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`String` | `getLoadMinimumCount()`
`protected void` | `populateParams()`
`void` | `setAfterNotifyTopics(String afterNotifyTopics)`
`void` | `setAutoComplete(String autoComplete)`
`void` | `setBeforeNotifyTopics(String beforeNotifyTopics)`
`void` | `setDataFieldName(String dataFieldName)`
`void` | `setDelay(String searchDelay)`
`void` | `setDisabled(String disabled)`
`void` | `setDropdownHeight(String height)`
`void` | `setDropdownWidth(String width)`
`void` | `setErrorNotifyTopics(String errorNotifyTopics)`
`void` | `setForceValidOption(String forceValidOption)`
`void` | `setFormFilter(String formFilter)`
`void` | `setFormId(String formId)`
`void` | `setHref(String href)`
`void` | `setIconPath(String iconPath)`
`void` | `setIndicator(String indicator)`
`void` | `setKeyName(String keyName)`
`void` | `setKeyValue(String keyValue)`
`void` | `setListenTopics(String listenTopics)`
`void` | `setLoadMinimumCount(String loadMinimumCount)`
`void` | `setLoadOnTextChange(String loadOnTextChange)`
`void` | `setNotifyTopics(String onValueChangedPublishTopic)`
`void` | `setPreload(String preload)`
`void` | `setResultsLimit(String resultsLimit)`
`void` | `setSearchType(String searchType)`
`void` | `setShowDownArrow(String showDownArrow)`
`void` | `setTemplateCssPath(String templateCssPath)`
`void` | `setTransport(String transport)`
`void` | `setValueNotifyTopics(String valueNotifyTopics)`

Methods inherited from class org.apache.struts2.views.jsp.ui.ComboBoxTag
`setEmptyOption, setHeaderKey, setHeaderValue, setList, setListKey, setListValue`

Methods inherited from class org.apache.struts2.views.jsp.ui.TextFieldTag
`setMaxlength, setMaxLength, setReadonly, setSize, setType`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDynamicAttribute, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### forceValidOption

    protected String forceValidOption

### searchType

    protected String searchType

### autoComplete

    protected String autoComplete

### delay

    protected String delay

### disabled

    protected String disabled

### href

    protected String href

### dropdownWidth

    protected String dropdownWidth

### dropdownHeight

    protected String dropdownHeight

### formId

    protected String formId

### formFilter

    protected String formFilter

### listenTopics

    protected String listenTopics

### notifyTopics

    protected String notifyTopics

### indicator

    protected String indicator

### loadOnTextChange

    protected String loadOnTextChange

### loadMinimumCount

    protected String loadMinimumCount

### showDownArrow

    protected String showDownArrow

### templateCssPath

    protected String templateCssPath

### iconPath

    protected String iconPath

### keyName

    protected String keyName

### dataFieldName

    protected String dataFieldName

### beforeNotifyTopics

    protected String beforeNotifyTopics

### afterNotifyTopics

    protected String afterNotifyTopics

### errorNotifyTopics

    protected String errorNotifyTopics

### valueNotifyTopics

    protected String valueNotifyTopics

### resultsLimit

    protected String resultsLimit

### transport

    protected String transport

### preload

    protected String preload

### keyValue

    protected String keyValue

Constructor Detail

### AutocompleterTag

    public AutocompleterTag()

Method Detail

### getBean

    public Component getBean(com.opensymphony.xwork2.util.ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Overrides:
    `getBean` in class `ComboBoxTag`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `ComboBoxTag`

### setAutoComplete

    public void setAutoComplete(String autoComplete)

### setDisabled

    public void setDisabled(String disabled)

  Overrides:
    `setDisabled` in class `AbstractUITag`

### setForceValidOption

    public void setForceValidOption(String forceValidOption)

### setHref

    public void setHref(String href)

### setDelay

    public void setDelay(String searchDelay)

### setSearchType

    public void setSearchType(String searchType)

### setDropdownHeight

    public void setDropdownHeight(String height)

### setDropdownWidth

    public void setDropdownWidth(String width)

### setFormFilter

    public void setFormFilter(String formFilter)

### setFormId

    public void setFormId(String formId)

### setListenTopics

    public void setListenTopics(String listenTopics)

### setNotifyTopics

    public void setNotifyTopics(String onValueChangedPublishTopic)

### setIndicator

    public void setIndicator(String indicator)

### setLoadMinimumCount

    public void setLoadMinimumCount(String loadMinimumCount)

### getLoadMinimumCount

    public String getLoadMinimumCount()

### setLoadOnTextChange

    public void setLoadOnTextChange(String loadOnTextChange)

### setShowDownArrow

    public void setShowDownArrow(String showDownArrow)

### setTemplateCssPath

    public void setTemplateCssPath(String templateCssPath)

### setIconPath

    public void setIconPath(String iconPath)

### setKeyName

    public void setKeyName(String keyName)

### setDataFieldName

    public void setDataFieldName(String dataFieldName)

### setAfterNotifyTopics

    public void setAfterNotifyTopics(String afterNotifyTopics)

### setBeforeNotifyTopics

    public void setBeforeNotifyTopics(String beforeNotifyTopics)

### setErrorNotifyTopics

    public void setErrorNotifyTopics(String errorNotifyTopics)

### setValueNotifyTopics

    public void setValueNotifyTopics(String valueNotifyTopics)

### setResultsLimit

    public void setResultsLimit(String resultsLimit)

### setTransport

    public void setTransport(String transport)

### setPreload

    public void setPreload(String preload)

### setKeyValue

    public void setKeyValue(String keyValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.